<!doctype html>
    <html lang="en">
    <head>
      <meta charset="UTF-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />

      <!-- FAVICON -->
      
      
      <link href='&#x2F;icons&#x2F;favicon-16x16.png' rel="icon" sizes="16x16" type="image/png" />
      
      
      <link href='&#x2F;icons&#x2F;favicon-32x32.png' rel="icon" sizes="32x32" type="image/png" />
      
      
      <link href='&#x2F;icons&#x2F;android-chrome-512x512.png' rel="android-chrome" sizes="512x512" />
      
      
      <link href='&#x2F;icons&#x2F;android-chrome-192x192.png' rel="android-chrome" sizes="192x192" />
      
      
      <link href='&#x2F;icons&#x2F;apple-touch-icon.png' rel="apple-touch-icon" sizes="180x180" />
      
      
      <link href='&#x2F;icons&#x2F;apple-touch-icon.png' rel="apple-touch-icon" sizes="180x180" />
      

      <link href="/css/main.css" rel="stylesheet">
      <link id="syntax_highlight" href="#" rel="stylesheet">

      <title>
        
        
        
      </title>
  </head>
  <body class="dark:bg-gray-700 flex flex-col h-screen justify-between">
  <!---------------------------------------------------------->
  <!------------------------- NAVBAR ------------------------->
  <!---------------------------------------------------------->
  <nav id="navbar" class="bg-gray-200 dark:bg-gray-800">
    <div class="max-w-7xl mx-auto px-2 sm:px-6 lg:px-8">
      <div class="relative flex items-center justify-between h-16">
        <div class="flex items-center sm:hidden">
          <!-- Mobile menu button-->
          <button id="toggle-mobile-menu" type="button" class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-white hover:bg-gray-700 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-white" aria-controls="mobile-menu" aria-expanded="false">
            <span class="sr-only">Open main menu</span>
            <!--
              Icon when menu is closed.
              Heroicon name: outline/menu
              Menu open: "hidden", Menu closed: "block"
            -->
            <svg class="block h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
            </svg>
            <!--
              Icon when menu is open.
              Heroicon name: outline/x
              Menu open: "block", Menu closed: "hidden"
            -->
            <svg class="hidden h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
            </svg>
          </button>
        </div>
        <div class="flex-1 flex items-center">
          <div class="flex-shrink-0 flex items-center ml-2">
            <a href="/" class="text-xl text-gray-800 dark:text-white"></a>
            <!-- <img class="block lg:hidden h-8 w-auto" src="https://tailwindui.com/img/logos/workflow-mark-indigo-500.svg" alt="Workflow">
            <img class="hidden lg:block h-8 w-auto" src="https://tailwindui.com/img/logos/workflow-logo-indigo-500-mark-white-text.svg" alt="Workflow"> -->
          </div>
          <div class="hidden sm:block sm:ml-6">
            <div class="nav-links flex space-x-4">
              <!-- Current: "bg-gray-900 text-white", Default: "text-gray-300 hover:bg-gray-700 hover:text-white" -->
              
                
                  
                    <a href="&#x2F;" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Home</a>
                  
                    <a href="&#x2F;projects" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Projects</a>
                  
                    <a href="&#x2F;categories" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Categories</a>
                  
                    <a href="&#x2F;tags" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Tags</a>
                  
                
              
                
              

              
              <!-- More ... Button (sidebar) -->
              <button id="toggle-sidebar">
                <text class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Menu</text>
                <!-- <svg class="w-7 h-7 text-gray-800 dark:text-gray-300" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                  <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 12h.01M12 12h.01M19 12h.01M6 12a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0z"></path>
                </svg> -->
              </button>
              
            </div>
          </div>

          

        <!---------------------------- Sidebar Menu ---------------------------->
        
          <div id="sidebar" class="nav-links -translate-x-full flex flex-col pt-6 p-2 text-2xl text-black dark:text-gray-200 bg-gray-200 dark:bg-gray-900 transform top-0 left-0 w-64 bg-white fixed h-full overflow-auto ease-in-out transition-all duration-300 z-30 shadow-2xl">
            
              
                
                  <a href="&#x2F;projects" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Projects</a>
                
                  <a href="&#x2F;blog" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Blogs</a>
                
              
            
              
            
          </div>
        

        
        <!-- Theme switch button -->
        <div class="flex p-2">
          <button id="switch-theme" type="button" class="bg-gray-200 text-gray-800 hover:text-gray-900 dark:bg-gray-800 dark:text-gray-400 dark:hover:text-white p-1 rounded-full focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-offset-gray-800 focus:ring-white">
            <span class="sr-only">Switch Theme</span>
            <!-- Heroicon name: outline/light -->
            <svg id="light" class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 3v1m0 16v1m9-9h-1M4 12H3m15.364 6.364l-.707-.707M6.343 6.343l-.707-.707m12.728 0l-.707.707M6.343 17.657l-.707.707M16 12a4 4 0 11-8 0 4 4 0 018 0z"></path>
            </svg>
            <!-- Heroicon name: outline/dark -->
            <svg id="dark" class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M20.354 15.354A9 9 0 018.646 3.646 9.003 9.003 0 0012 21a9.003 9.003 0 008.354-5.646z"></path>
            </svg>
          </button>

          <!-- Profile dropdown -->
          <!-- <div class="ml-3 relative">
            <div>
              <button type="button" class="bg-gray-800 flex text-sm rounded-full focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-offset-gray-800 focus:ring-white" id="user-menu-button" aria-expanded="false" aria-haspopup="true">
                <span class="sr-only">Open user menu</span>
                <img class="h-8 w-8 rounded-full" src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80" alt="">
              </button>
            </div> -->

            <!--
              Dropdown menu, show/hide based on menu state.

              Entering: "transition ease-out duration-100"
                From: "transform opacity-0 scale-95"
                To: "transform opacity-100 scale-100"
              Leaving: "transition ease-in duration-75"
                From: "transform opacity-100 scale-100"
                To: "transform opacity-0 scale-95"
            -->
            <!-- Active: "bg-gray-100", Not Active: "" -->
            <!-- <div class="origin-top-right absolute right-0 mt-2 w-48 rounded-md shadow-lg py-1 bg-white ring-1 ring-black ring-opacity-5 focus:outline-none" role="menu" aria-orientation="vertical" aria-labelledby="user-menu-button" tabindex="-1">
              <a href="#" class="block px-4 py-2 text-sm text-gray-700" role="menuitem" tabindex="-1" id="user-menu-item-0">Your Profile</a>
              <a href="#" class="block px-4 py-2 text-sm text-gray-700" role="menuitem" tabindex="-1" id="user-menu-item-1">Settings</a>
              <a href="#" class="block px-4 py-2 text-sm text-gray-700" role="menuitem" tabindex="-1" id="user-menu-item-2">Sign out</a>
            </div> -->
          </div>
        </div>
      </div>
    </div>

    <!----------------------------- Mobile menu ----------------------------->
    <div id="mobile-menu" class="sm:hidden fixed z-10 overflow-hidden">
      <div class="nav-links flex flex-col space-y-4 items-center w-screen dark:bg-gray-800 transition-all ease-out duration-500 h-0">
        <!-- Current: "bg-gray-900 text-white", Default: "text-gray-300 hover:bg-gray-700 hover:text-white" -->
        
          
            
              <a href="&#x2F;" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Home</a>
            
              <a href="&#x2F;projects" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Projects</a>
            
              <a href="&#x2F;categories" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Categories</a>
            
              <a href="&#x2F;tags" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Tags</a>
            
          
        
          
        

        
            
              
                
                  <a href="&#x2F;projects" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Projects</a>
                
                  <a href="&#x2F;blog" class="text-gray-800 dark:text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-sm font-medium">Blogs</a>
                
              
            
              
            
        
      </div>
    </div>
  </nav>
  <!----------------------------------------------------------->
  <!------------------------- CONTENT ------------------------->
  <!----------------------------------------------------------->
  <main class="max-w-7xl mx-auto text-black dark:text-gray-200 w-full mb-auto">
    
<div class="flex">
   <h1 class="text-2xl text-bold my-6 mx-auto">
      Financial Stock Analysis
    </h1>
</div>
<div class="flex gap-x-8">
  <div class="flex flex-col sm:w-3/4 w-full border border-2 border-gray-200 dark:border-black rounded-xl p-5 shadow-2xl bg-gray-200 dark:bg-gray-800">

    <div class="flex flex-col py-2 justify-center">
     <!-- <h2 class="text-2xl text-bold"><a href='https:&#x2F;&#x2F;dukeaiml.gitlab.io&#x2F;IDS721&#x2F;rg361_wk01&#x2F;projects&#x2F;de-1&#x2F;'>Financial Stock Analysis</a></h2> -->
      <p class="text-bold"></p>
    </div>

    <!-- Read time and word count -->
    <div class="flex flex-wrap py-2">
      <div class="flex items-center w-1/3">
        <div class="flex flex-col sm:flex-row sm:space-x-3 text-gray-900 dark:text-gray-400">
          <span class="flex">
            <!-- Icon clock -->
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 8v4l3 3m6-3a9 9 0 11-18 0 9 9 0 0118 0z"></path>
            </svg>
            <span class="ml-1">1 min</span>
          </span>
          <span class="flex">
            <!-- Icon pencil -->
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15.232 5.232l3.536 3.536m-2.036-5.036a2.5 2.5 0 113.536 3.536L6.5 21.036H3v-3.572L16.732 3.732z"></path>
            </svg>
            <span class="ml-1">91 words</span>
          </span>
        </div>
      </div>
      <!-- Author and publish date -->
      <div class="flex w-2/3 sm:space-x-3 text-gray-900 dark:text-gray-400 justify-end">
         <span class="flex items-center">
          <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8 7V3m8 4V3m-9 8h10M5 21h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v12a2 2 0 002 2z"></path>
          </svg>
          <span class="ml-1"><time datetime="2023-12-01">Published on December 01, 2023</time></span>
        </span>
        <span class="flex items-center">
          <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"></path>
          </svg>
          
            <span class="ml-1">Revanth</span>
            <img class="rounded-full h-9 w-9 ml-1" src=".&#x2F;images&#x2F;profile_1.png" alt="">
          
        </span>
      </div>
    </div>

    <!-- Categories and Tags -->
    <div class="flex flex-wrap py-2">
      <div class="w-2/3">
        
          <p>
            Categories:
            
            <a class="text-gray-900 dark:text-gray-400 flex py-1 items-center" href="https://dukeaiml.gitlab.io/IDS721/rg361_wk01/categories/data-engineering/">
              <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 11H5m14 0a2 2 0 012 2v6a2 2 0 01-2 2H5a2 2 0 01-2-2v-6a2 2 0 012-2m14 0V9a2 2 0 00-2-2M5 11V9a2 2 0 012-2m0 0V5a2 2 0 012-2h6a2 2 0 012 2v2M7 7h10"></path>
              </svg>
              <span class="pl-1">Data Engineering</span>
            </a>
            
          </p>
        
      </div>
      <div class="w-1/3">
        
        <p>
          Tags:
          
          <a class="text-gray-900 dark:text-gray-400 flex py-1 items-center" href="https://dukeaiml.gitlab.io/IDS721/rg361_wk01/tags/python/">
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 7h.01M7 3h5c.512 0 1.024.195 1.414.586l7 7a2 2 0 010 2.828l-7 7a2 2 0 01-2.828 0l-7-7A1.994 1.994 0 013 12V7a4 4 0 014-4z"></path>
            </svg>
            <span class="pl-1">Python</span>
          </a>
          
          <a class="text-gray-900 dark:text-gray-400 flex py-1 items-center" href="https://dukeaiml.gitlab.io/IDS721/rg361_wk01/tags/pyspark/">
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 7h.01M7 3h5c.512 0 1.024.195 1.414.586l7 7a2 2 0 010 2.828l-7 7a2 2 0 01-2.828 0l-7-7A1.994 1.994 0 013 12V7a4 4 0 014-4z"></path>
            </svg>
            <span class="pl-1">PySpark</span>
          </a>
          
          <a class="text-gray-900 dark:text-gray-400 flex py-1 items-center" href="https://dukeaiml.gitlab.io/IDS721/rg361_wk01/tags/databricks/">
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 7h.01M7 3h5c.512 0 1.024.195 1.414.586l7 7a2 2 0 010 2.828l-7 7a2 2 0 01-2.828 0l-7-7A1.994 1.994 0 013 12V7a4 4 0 014-4z"></path>
            </svg>
            <span class="pl-1">Databricks</span>
          </a>
          
          <a class="text-gray-900 dark:text-gray-400 flex py-1 items-center" href="https://dukeaiml.gitlab.io/IDS721/rg361_wk01/tags/azure/">
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 7h.01M7 3h5c.512 0 1.024.195 1.414.586l7 7a2 2 0 010 2.828l-7 7a2 2 0 01-2.828 0l-7-7A1.994 1.994 0 013 12V7a4 4 0 014-4z"></path>
            </svg>
            <span class="pl-1">Azure</span>
          </a>
          
          <a class="text-gray-900 dark:text-gray-400 flex py-1 items-center" href="https://dukeaiml.gitlab.io/IDS721/rg361_wk01/tags/flask/">
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 7h.01M7 3h5c.512 0 1.024.195 1.414.586l7 7a2 2 0 010 2.828l-7 7a2 2 0 01-2.828 0l-7-7A1.994 1.994 0 013 12V7a4 4 0 014-4z"></path>
            </svg>
            <span class="pl-1">Flask</span>
          </a>
          
          <a class="text-gray-900 dark:text-gray-400 flex py-1 items-center" href="https://dukeaiml.gitlab.io/IDS721/rg361_wk01/tags/docker/">
            <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
              <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 7h.01M7 3h5c.512 0 1.024.195 1.414.586l7 7a2 2 0 010 2.828l-7 7a2 2 0 01-2.828 0l-7-7A1.994 1.994 0 013 12V7a4 4 0 014-4z"></path>
            </svg>
            <span class="pl-1">Docker</span>
          </a>
          
        </p>
        
      </div>
    </div>

    <!-- Content -->
    <div id="page-content" class="text-bold mt-2">
      <p>Link to Github Repository: <a href="https://github.com/nogibjj/Final_Project_Stock_Analysis">Link</a> | 
Link to Application: <a href="https://definalproj.azurewebsites.net/">Link</a> | 
Link to Video description of Project: <a href="https://www.youtube.com/watch?v=hJKhQFhQiTI">Link</a></p>
<h2 id="project-overview">Project Overview</h2>
<p>This Web app for this project is built using Flask which can be run locally and is hosted on Azure for public access. The project makes use of Delta Tables from Databricks, a docker image hosted on DockerHub and utilizes Azure Web App for deployment. Further, the project uses various APIs to interact with external websites for getting data to make predictions.</p>

    </div>



  </div>


    <!-- Table of content -->
    


</div>

  </main>

  <!----------------------------------------------------------->
  <!------------------------- PAGINATION ---------------------->
  <!----------------------------------------------------------->
  



  <!---------------------------------------------------------->
  <!------------------------- FOOTER ------------------------->
  <!---------------------------------------------------------->
  <footer class="max-w-7xl mx-auto relative pt-1 px-2 border-b-2 border-gray-300 dark:border-gray-200 w-full">
    <!-- <div class="container mx-auto px-6">
      <div class="sm:flex sm:mt-8">
        <div class="mt-8 sm:mt-0 sm:w-full sm:px-8 flex flex-col md:flex-row justify-between">
          <div class="flex flex-col">
            <span class="font-bold text-gray-700 uppercase mb-2">Footer header 1</span>
            <span class="my-2"><a href="#" class="text-blue-700  text-md hover:text-blue-500">link 1</a></span>
            <span class="my-2"><a href="#" class="text-blue-700  text-md hover:text-blue-500">link 1</a></span>
            <span class="my-2"><a href="#" class="text-blue-700  text-md hover:text-blue-500">link 1</a></span>
          </div>
          <div class="flex flex-col">
            <span class="font-bold text-gray-700 uppercase mt-4 md:mt-0 mb-2">Footer header 2</span>
            <span class="my-2"><a href="#" class="text-blue-700 text-md hover:text-blue-500">link 1</a></span>
            <span class="my-2"><a href="#" class="text-blue-700  text-md hover:text-blue-500">link 1</a></span>
            <span class="my-2"><a href="#" class="text-blue-700 text-md hover:text-blue-500">link 1</a></span>
          </div>
          <div class="flex flex-col">
            <span class="font-bold text-gray-700 uppercase mt-4 md:mt-0 mb-2">Footer header 3</span>
            <span class="my-2"><a href="#" class="text-blue-700  text-md hover:text-blue-500">link 1</a></span>
            <span class="my-2"><a href="#" class="text-blue-700  text-md hover:text-blue-500">link 1</a></span>
            <span class="my-2"><a href="#" class="text-blue-700  text-md hover:text-blue-500">link 1</a></span>
          </div>
        </div>
      </div>
    </div> -->
    <div class="mt-16 border-t-2 border-gray-300 flex flex-col items-center">
      <div class="sm:w-2/3 text-center py-6">
        <p class="text-sm text-black dark:text-white font-bold mb-2">
         revanth7667@gmail.com &nbsp;&nbsp;| &nbsp;&nbsp;+1 919-423-8611 &nbsp;&nbsp;| &nbsp;&nbsp;Durham, NC
        </p>
      </div>
    </div>
  </footer>

  <!------------------------- SCRIPTS ------------------------->
  <script defer src="/js/main.js"></script>
  
  
  
  
  <script defer src="/js/page.js"></script>

  </body>
</html>
